--- title: "Modify an existing connection's attributes" slug: "modify-an-existing-connections-attributes" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/modify-an-existing-connections-attributes" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Modify an existing connection's attributes Patch/api/v1/devices/{deviceId}/connections/{cepId} SecurityHTTPType bearer Path parametersdeviceIdintegerRequired The ID of the device cepIdintegerRequired The ID of the connection endpoint Body parameters The connection endpoint attributes to modify Expand Allobject attributesobject enableFileTransferstring Exampletrue/false enableWallpaperstring Exampletrue/false not_send_proxy_headersboolean passwordstring pathsobject Example{ "api_v1": "/api/v1/path/*" } privatekeystring privatekey_filenamestring requestobject header_rewriteobject rules Array of object (HeaderRewrite) object findstring header_namestring paths Array of string string replacestring replace_allboolean headersobject add Array of object (CustomHeader) object namestring paths Array of string string valuestring append Array of object (CustomHeader) object namestring paths Array of string string valuestring remove Array of object (CustomHeader) object namestring paths Array of string string valuestring rename Array of object (CustomHeader) object namestring paths Array of string string valuestring replace Array of object (CustomHeader) object namestring paths Array of string string valuestring responseobject body_rewriteobject apply_default_rulesboolean rules Array of object (ResponseBodyRewrite) object findstring paths Array of string string replacestring replace_allboolean header_rewriteobject apply_default_rulesboolean rules Array of object (HeaderRewrite) object findstring header_namestring paths Array of string string replacestring replace_allboolean headersobject add Array of object (CustomHeader) object namestring paths Array of string string valuestring append Array of object (CustomHeader) object namestring paths Array of string string valuestring remove Array of object (CustomHeader) object namestring paths Array of string string valuestring rename Array of object (CustomHeader) object namestring paths Array of string string valuestring replace Array of object (CustomHeader) object namestring paths Array of string string valuestring usernamestring labelstring ExampleConnection name pathstring portinteger portsobject portRangesobject endstring startstring protocol Array of string string subdomainstring Responses200 OK Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean Examplefalse 400 Bad Request Body Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden - Connection in pending state Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean